%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-grunt
Version:    0.4.5
Release:    %mkrel 9
Summary:    Grunt is a JavaScript library used for automation and running tasks
License:    MIT
Group:      System/Libraries
URL:        https://github.com/gruntjs/grunt
Source0:    https://github.com/gruntjs/grunt/archive/v%{version}/grunt-%{version}.tar.gz

# fix "_ is not defined" errors when using templates
# submitted upstream: https://github.com/gruntjs/grunt/pull/1151
Patch1:     %{name}-fix-templates.patch

BuildArch:  noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  coffee-script
BuildRequires:  npm(async)
BuildRequires:  npm(colors)
BuildRequires:  npm(dateformat)
BuildRequires:  npm(difflet)
BuildRequires:  npm(eventemitter2)
BuildRequires:  npm(exit)
BuildRequires:  npm(findup-sync)
BuildRequires:  npm(getobject)
BuildRequires:  npm(glob)
BuildRequires:  npm(grunt)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-contrib-watch)
BuildRequires:  npm(grunt-legacy-log)
BuildRequires:  npm(grunt-legacy-util)
BuildRequires:  npm(hooker)
BuildRequires:  npm(iconv-lite)
BuildRequires:  npm(js-yaml)
BuildRequires:  npm(lodash)
BuildRequires:  npm(minimatch)
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(nopt)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(shelljs)
BuildRequires:  npm(temporary)
BuildRequires:  npm(underscore.string)
BuildRequires:  npm(which)
%endif

%description
Grunt is the JavaScript task runner. Why use a task runner? In one word:
automation. The less work you have to do when performing repetitive tasks
like minification, compilation, unit testing, linting, etc, the easier
your job becomes. After you've configured it, a task runner can do most
of that mundane work for you with basically zero effort.

%prep
%setup -q -n grunt-%{version}
%patch1 -p1

%nodejs_fixdep async '^1.5.0'
%nodejs_fixdep coffee-script '~1.3'
%nodejs_fixdep colors '^1.1.2'
%nodejs_fixdep dateformat '*'
%nodejs_fixdep eventemitter2 '~0.4'
%nodejs_fixdep findup-sync '~0.1'
%nodejs_fixdep glob '~6.0.3'
%nodejs_fixdep hooker '~0.2'
%nodejs_fixdep iconv-lite '~0.2'
%nodejs_fixdep minimatch '~3.0.0'
%nodejs_fixdep nopt '^3.0.6'
%nodejs_fixdep rimraf '~2.0'
%nodejs_fixdep lodash '^3.10.1'
%nodejs_fixdep underscore.string '~2.2'
%nodejs_fixdep which '~1.0'
%nodejs_fixdep js-yaml '^3.5.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt
cp -pr package.json internal-tasks/ lib/ \
    %{buildroot}%{nodejs_sitelib}/grunt

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt




%changelog
* Mon May 16 2016 neoclust <neoclust> 0.4.5-9.mga6
+ Revision: 1016112
- Revert to version 0.4.5

* Fri May 13 2016 joequant <joequant> 1.0.0-1.mga6
+ Revision: 1014458
- upgrade to 1.0.0

* Thu Feb 04 2016 umeabot <umeabot> 0.4.4-5.mga6
+ Revision: 935435
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-4.mga5
+ Revision: 748618
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-3.mga5
+ Revision: 682902
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 joequant <joequant> 0.4.4-2.mga5
+ Revision: 655903
- remove exclusive arch
- imported package nodejs-grunt

